---
title: Delete RSVP from timeslot
slug: delete-rsvp-from-timeslot
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendance_registrations",
  "name": "Delete RSVP from timeslot",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      }
    ],
    "queryParameters": [
      {
        "name": "{timeslotId}",
        "kind": "required",
        "type": "Number",
        "description": "The ID of the timeslot the reservation belongs to",
        "children": []
      },
      {
        "name": "{attendeeId}",
        "kind": "required",
        "type": "Number",
        "description": "The ID of the attendee who has reserved the timeslot",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"5585\",\n        \"type\": \"attendance-registration\",\n        \"attributes\": {\n            \"checked-in-at\": null\n        },\n        \"relationships\": {\n            \"timeslot\": {\n                \"data\": {\n                    \"id\": \"17516\",\n                    \"type\": \"timeslot\"\n                }\n            },\n            \"user\": {\n                \"data\": {\n                    \"id\": \"1071272\",\n                    \"type\": \"user\"\n                }\n            }\n        }\n    }\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "-oveBwgMcziTmEBch0MKn",
        "code": "curl --location -g --request DELETE 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendance_registrations?timeslot_id={timeslotId}4&attendee_id={attendeeId}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'\\\n",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "-oveBwgMcziTmEBch0MKn"
  },
  "description": "Delete an RSVP from a timeslot",
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "autoGeneratedAnchorSlug": "delete-rsvp-from-timeslot",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

**REQUEST BODY**

Not required.

**Notes:**

- The `timeslot_id` and `attendee_id` should be passed as path parameters in the URL (instead of in the body) — the POST request allows two options (passing it in the body of the request, or as a path parameter. The DELETE request only supports passing these values as query parameters.

